generateReport_UI <- function(id) {
  ns <- NS(id)
  tagList(
    h2("CogentDS Analysis Report"),
    h5("Marker calculation for all clusters for gene and isoform expression can take up significant RAM. For datasets where number of cells > 2k, dowsapling for ident is set to 100 cells."),
    h5("It is recommended to set Marker calculation to FALSE for large datasets (where number of cells > 20k)."),
    radioButtons(ns("runMarkers"), "Calculate cluster markers:", choices = c('TRUE', 'FALSE'), selected = ''),
    downloadButton(ns("scRNA_Report"), 'Download CogentDS Analysis Report', style='color:#fff; background-color:#1c82e0')
  )
}